package com.yd.csf.service.service;

import com.yd.csf.service.dto.QueryPolicyBrokerDto;
import com.yd.csf.service.model.PolicyBroker;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author Zhang Jianan
* @description 针对表【policy_broker(保单转介人表)】的数据库操作Service
* @createDate 2025-09-18 15:06:03
*/
public interface PolicyBrokerService extends IService<PolicyBroker> {

    List<PolicyBroker> queryList(QueryPolicyBrokerDto dto);

    PolicyBroker queryOne(QueryPolicyBrokerDto dto);

    void removeByPolicyBizId(String policyBizId);

    List<String> selectRelatedBrokerBizIds(String clientUserId);

}
